Skip to navigation

Upload a document to the room

View as Markdown

The request body is the document itself, sent with its Content-Type.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

room_idstringRequired
Room ID

Query parameters

namestringRequired
File name to show for the document

Response

Created
content_typestringOptional
created_atdatetimeOptional
idstringOptional
namestringOptional
size_byteslongOptional
uploaded_byobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
413
Content Too Large Error
503
Service Unavailable Error